module PLL_led(
	Clk,
	Rst_n,
	LED
);

	input Clk;
	input Rst_n;
	output [3:0]LED;
	
	wire CLKOP;	//25M
	wire CLKOS;	//100M
	wire CLKOS2;//50M
	wire CLKOS3;//12.5M
	wire LOCK;
	
PLL PLL(
	.CLKI(Clk),
	.RST(!Rst_n),	
	.CLKOP(CLKOP), 
	.CLKOS(CLKOS), 
	.CLKOS2(CLKOS2), 
	.CLKOS3(CLKOS3),  
	.LOCK(LOCK)
);

	led_counter
	#(
		.cnt_time(25'd12_499999)
	)
	counter0(

		.clk(CLKOS),
		.rst_n(Rst_n),
		.led(LED[0])
	);
	
	led_counter
	#(
		.cnt_time(25'd12_499999)
	)
	counter1(
		.clk(CLKOS2),
		.rst_n(Rst_n),
		.led(LED[1])
	);

	led_counter	
	#(
		.cnt_time(25'd12_499999)
	)
	counter2(
		.clk(CLKOP),
		.rst_n(Rst_n),
		.led(LED[2])
	);
	
	led_counter
	#(
		.cnt_time(25'd12_499999)
	)
	counter3(
		.clk(CLKOS3),
		.rst_n(Rst_n),
		.led(LED[3])
	);

endmodule
